package com.hzya.frame.sys.flow.entity;

import java.util.Date;
import com.hzya.frame.web.entity.BaseEntity;
/**
 * 映射信息表体(SysFlowStepConfigB)实体类
 *
 * @author xiang2lin
 * @since 2025-04-29 10:16:28
 */
public class SysFlowStepConfigBEntity extends BaseEntity {
 
  /**  主表id */
   private String mainId;
  /**  流程id */
   private String flowId;
  /**  步骤id */
   private String stepId;
  /**  是否主键 */
   private String primaryKeyFlag;
  /**  字段名 */
   private String fieldName;
  /**  字段备注 */
   private String fieldDescription;
  /**  字段类型 */
   private String fieldType;
  /**  查询条件 */
   private String whereCondition;
  /**  源字段名称;适用于插入场景 */
   private String sourceFieldName;
  /**  源字段类型;适用于插入场景 */
   private String sourceFieldType;
  /**  源字段描述;适用于插入场景 */
   private String sourceFieldDescription;


    public String getMainId() {
        return mainId;
    }

    public void setMainId(String mainId) {
        this.mainId = mainId;
    }

    public String getFlowId() {
        return flowId;
    }

    public void setFlowId(String flowId) {
        this.flowId = flowId;
    }

    public String getStepId() {
        return stepId;
    }

    public void setStepId(String stepId) {
        this.stepId = stepId;
    }

    public String getPrimaryKeyFlag() {
        return primaryKeyFlag;
    }

    public void setPrimaryKeyFlag(String primaryKeyFlag) {
        this.primaryKeyFlag = primaryKeyFlag;
    }

    public String getFieldName() {
        return fieldName;
    }

    public void setFieldName(String fieldName) {
        this.fieldName = fieldName;
    }

    public String getFieldDescription() {
        return fieldDescription;
    }

    public void setFieldDescription(String fieldDescription) {
        this.fieldDescription = fieldDescription;
    }

    public String getFieldType() {
        return fieldType;
    }

    public void setFieldType(String fieldType) {
        this.fieldType = fieldType;
    }

    public String getWhereCondition() {
        return whereCondition;
    }

    public void setWhereCondition(String whereCondition) {
        this.whereCondition = whereCondition;
    }

    public String getSourceFieldName() {
        return sourceFieldName;
    }

    public void setSourceFieldName(String sourceFieldName) {
        this.sourceFieldName = sourceFieldName;
    }

    public String getSourceFieldType() {
        return sourceFieldType;
    }

    public void setSourceFieldType(String sourceFieldType) {
        this.sourceFieldType = sourceFieldType;
    }

    public String getSourceFieldDescription() {
        return sourceFieldDescription;
    }

    public void setSourceFieldDescription(String sourceFieldDescription) {
        this.sourceFieldDescription = sourceFieldDescription;
    }

}

